<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h3>
                    <strong>Edit Predefined Message</strong>
                </h3>
            </div>
            <div class="ibox-content">
                <form [formGroup]="editForm" autocomplete="off" class="form-horizontal" (ngSubmit)="updatePredefinedMessages()">

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Message type<i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder = " Message type" formControlName="message_type">
                                <mat-option value="General">General</mat-option>
                                <mat-option value="Blocking">Blocking</mat-option>
                                <mat-option value="Canceling">Canceling </mat-option>
                                <mat-option value="Honk credit">Honk credit</mat-option>
                            </mat-select>
                            <div class="error-msg" *ngIf="editForm.controls['message_type'].invalid && (editForm.controls['message_type'].dirty || editForm.controls['message_type'].touched)">
                                <div *ngIf="editForm.controls['message_type'].errors.required" >
                                    Message type is required.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Message content <i aria-hidden="true" class="mandatory">*</i> </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" maxlength = "70" placeholder = "Message content" formControlName="message_content" class="form-control">
                            <div class="error-msg" *ngIf="editForm.controls['message_content'].invalid && (editForm.controls['message_content'].dirty || editForm.controls['message_content'].touched)">
                                <div *ngIf="editForm.controls['message_content'].errors.required" >
                                    Message content is required.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-sm-4 col-sm-offset-2">
                            <button class="btn btn-primary" type="submit">Save changes</button>
                            <button class="btn btn-white" type="button" [routerLink]="['/admin/administration/predefined-messages']">Cancel</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
